API v2 ドキュメント画像
インペイントプリセットの制限の取得
インペイントの modelPreset のサイズ制限とリドロープリセットを返します。不明なプリセットの場合はエラーではなく null のフィールドを返します。認証は不要です。
Authorization
bearerAuth AuthorizationBearer <token>
認証が必要なすべてのリクエストでは、HTTP ヘッダーに次を追加してください
In: header
Query Parameters
modelPreset*string
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://api.pixai.art/v2/gen-task/inpaint/constraints?modelPreset=v1"{
"modelPreset": "string",
"constraints": {
"minWidth": 0,
"maxWidth": 0,
"minHeight": 0,
"maxHeight": 0,
"maxPixels": 0,
"dimensionStep": 0
},
"sdeditPresets": {
"property1": {},
"property2": {}
},
"defaultSdeditPreset": "string"
}